package com.ruoyi.hezhi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.hezhi.domain.TbStudyCenterClass;
import com.ruoyi.hezhi.mapper.TbStudyCenterClassMapper;
import com.ruoyi.hezhi.service.ITbStudyCenterClassService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 学习中心分类Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-23
 */
@Service
public class TbStudyCenterClassServiceImpl implements ITbStudyCenterClassService
{
    @Autowired
    private TbStudyCenterClassMapper tbStudyCenterClassMapper;

    /**
     * 查询学习中心分类
     *
     * @param studyCenterClassId 学习中心分类主键
     * @return 学习中心分类
     */
    @Override
    public TbStudyCenterClass selectTbStudyCenterClassByStudyCenterClassId(Long studyCenterClassId)
    {
        return tbStudyCenterClassMapper.selectTbStudyCenterClassByStudyCenterClassId(studyCenterClassId);
    }

    /**
     * 查询学习中心分类列表
     *
     * @param tbStudyCenterClass 学习中心分类
     * @return 学习中心分类
     */
    @Override
    public List<TbStudyCenterClass> selectTbStudyCenterClassList(TbStudyCenterClass tbStudyCenterClass)
    {
        return tbStudyCenterClassMapper.selectTbStudyCenterClassList(tbStudyCenterClass);
    }

    /**
     * 新增学习中心分类
     *
     * @param tbStudyCenterClass 学习中心分类
     * @return 结果
     */
    @Override
    public int insertTbStudyCenterClass(TbStudyCenterClass tbStudyCenterClass)
    {
        tbStudyCenterClass.setCreateTime(DateUtils.getNowDate());
        return tbStudyCenterClassMapper.insertTbStudyCenterClass(tbStudyCenterClass);
    }

    /**
     * 修改学习中心分类
     *
     * @param tbStudyCenterClass 学习中心分类
     * @return 结果
     */
    @Override
    public int updateTbStudyCenterClass(TbStudyCenterClass tbStudyCenterClass)
    {
        tbStudyCenterClass.setUpdateTime(DateUtils.getNowDate());
        return tbStudyCenterClassMapper.updateTbStudyCenterClass(tbStudyCenterClass);
    }

    /**
     * 批量删除学习中心分类
     *
     * @param studyCenterClassIds 需要删除的学习中心分类主键
     * @return 结果
     */
    @Override
    public int deleteTbStudyCenterClassByStudyCenterClassIds(Long[] studyCenterClassIds)
    {
        return tbStudyCenterClassMapper.deleteTbStudyCenterClassByStudyCenterClassIds(studyCenterClassIds);
    }

    /**
     * 删除学习中心分类信息
     *
     * @param studyCenterClassId 学习中心分类主键
     * @return 结果
     */
    @Override
    public int deleteTbStudyCenterClassByStudyCenterClassId(Long studyCenterClassId)
    {
        return tbStudyCenterClassMapper.deleteTbStudyCenterClassByStudyCenterClassId(studyCenterClassId);
    }

    /**
     * 学习中心分类列表
     *
     * @param params 参数
     * @return 学习中心分类列表
     */
    @Override
    public List<Map<String, Object>> getStudyCenterClassMapList(Map<String, Object> params) {
        return tbStudyCenterClassMapper.getStudyCenterClassMapList(params);
    }
}
